<?php

declare(strict_types=1);

namespace Seka\Portal\Modul\Terminy\Listeners\Udalost;

use Seka\Portal\Modul\Terminy\Entities\Dtos\Factory\UdalostDTOFactory;
use Seka\Portal\Modul\Terminy\Events\Udalost\ZverejnenaUdalostBolaObnovena;

/**
 * Class ZverejnitObnovenuUdalostVKalendari
 *
 * @package Seka\Portal\Modul\Terminy\Listeners\Udalost
 */
final class ZverejnitObnovenuUdalostVKalendari extends UdalostVKalendari
{
    /**
     * @param \Seka\Portal\Modul\Terminy\Events\Udalost\ZverejnenaUdalostBolaObnovena $event
     */
    public function handle(ZverejnenaUdalostBolaObnovena $event): void
    {
        $udalost = UdalostDTOFactory::make($event->udalost);

        $this->calendarService->createEvent($udalost);
    }
}
